Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:
Description

Hello,

here the problem:

I'd like to rasterize 1-point shapefile with the command: Grid-Gridding --> Shapes to grid

It doesn't work if the shapefile was created with only one point.

It works well if I add more than 1 point, save it, edit it again and delete all points except one.

It suggests me that there is something with the shapefile extension saved in the file.

Thank you

rob

History

#1 - 2014-05-11 10:53 PM - Paolo Cavallini

Is this an upstream issue?

#2 - 2014-05-12 07:06 AM - robert vech

- File test_point.zip added

So I did an other test.

I used 3 shapefiles:

- point1.shp   a single-point shapefile --> rasterization doesn't work

- point2.shp   double-point shapefile --> it works!

- point3.shp   a single-point shapefile as point1 that derives from point2 (I simply removed the second point from 2)--> It works again!!

I verified the shapefile extensions by a simple R script (get_ext.r). It should return the saved extends...

here the results:

shapefile    $xmin        $ymin        $xmax        $ymax

point1:         473859.2    5083678        473859.2    5083678

point2:        473859.2    5083678        475558.65084594

point3:        473859.2    5083678        475558.65084594

Note that point2 and point3 have tha same extension but different number of point.

I attached all the files.
#3 - 2014-05-13 11:41 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to 94

robert vech wrote:

So I did an other test.

the question is: does the native SAGA tool (command line or GUI) work ok or it works as in the QGIS processing toolbox? In the second case then is not a

QGIS issue. Please leave feedback.

cheers!

#4 - 2014-05-15 01:08 AM - robert vech

- Status changed from Feedback to Closed

So I'm a QGIS user, not a SAGA user ... the tests were made to confirm the problem.

Anyway, I made a test with the SAGA GUI and the rasterization works fine with point1.shp. Not the same with the batch file (if mine was correct) so the

problem must be with the saga_cmd. I will move the question to another place ...

Thank you

R.

#5 - 2014-05-15 05:03 AM - Giovanni Manghi

robert vech wrote:

So I'm a QGIS user, not a SAGA user ... the tests were made to confirm the problem.

Anyway, I made a test with the SAGA GUI and the rasterization works fine with point1.shp. Not the same with the batch file (if mine was correct) so

the problem must be with the saga_cmd. I will move the question to another place ...

Thank you

R.

saga_gui uses saga_cmd... I tested SAGA (gui) 2.1.1 and does not work with your input point1, so it should really be a saga issue.

#6 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

Files

test_point.zip 52.6 KB 2014-05-12 robert vech
